> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add load balancer target

> Add new target to load balancer. Location-specific endpoint.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json post /network/load_balancers/{load_balancer_uuid}/targets
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /network/load_balancers/{load_balancer_uuid}/targets:
    post:
      tags:
        - Network Load Balancer
      summary: Add load balancer target
      description: Add new target to load balancer. Location-specific endpoint.
      operationId: addLoadBalancerTarget
      parameters:
        - name: load_balancer_uuid
          in: path
          required: true
          schema:
            type: string
          example: 438ac62f-e97b-4ef0-8940-507b9e94af43
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - target_uuid
                - target_type
              properties:
                target_uuid:
                  type: string
                target_type:
                  type: string
            example:
              target_uuid: 145cc106-e067-419a-85fd-333ded30f169
              target_type: vm
      responses:
        '200':
          description: Added target
          content:
            application/json:
              schema:
                type: object
              example:
                created_at: '2022-07-12 14:21:06'
                target_uuid: 145cc106-e067-419a-85fd-333ded30f169
                target_type: vm
                target_ip_address: 10.61.10.2
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````